Bug 849821 - [abrt] Process /usr/bin/Thunar was killed by signal 11 (SIGSEGV)
[abrt] Process /usr/bin/Thunar was killed by signal 11 (SIGSEGV)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:8cc30710123698a499d50af1bfd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 00:01 EDT by John Reiser
Modified: 2013-08-01 13:32 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 729732
Environment:
Last Closed: 2013-08-01 13:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comment (80.67 KB, text/plain)
2012-08-21 00:01 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-08-21 00:01:46 EDT
Created attachment 915486 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Kevin Fenzi 2012-08-21 12:32:48 EDT
Can you provide output of: 

rpm -q Thunar thunar-vcs-plugin
Comment 2 John Reiser 2012-08-21 12:48:07 EDT
$ rpm -q Thunar thunar-vcs-plugin
Thunar-1.3.0-6.fc17.x86_64
package thunar-vcs-plugin is not installed
$ 

This is Fedora 17 Release (Internet Desktop) augmented with developer tools as needed (yum install), running XFCE.  No packages were removed by force.
Comment 3 tengel 2012-09-23 09:29:56 EDT
Same here, abrt thinks this is a dupe and refuses to report into this bug. All I did was reboot to the new kernel 3.5.4-1.fc17.x86_64 just released and log in as normal.

$ rpm -qa | grep -i thunar
thunar-volman-0.6.0-3.fc17.x86_64
thunar-archive-plugin-0.3.0-3.fc17.x86_64
thunar-media-tags-plugin-0.1.2-11.fc17.x86_64
thunar-vfs-1.2.0-5.fc17.x86_64
Thunar-1.3.0-6.fc17.x86_64

var_log_messages:
Sep 21 12:59:58 grimm kernel: [255425.979069] Thunar[12873]: segfault at 0 ip 00007f24a7df9383 sp 00007fffb8119d50 error 4 in thunar-uca.so[7f24a7ded000+12000]
Sep 21 12:59:58 grimm abrt[25590]: Saved core dump of pid 12873 (/usr/bin/Thunar) to /var/spool/abrt/ccpp-2012-09-21-12:59:58-12873 (43126784 bytes)

core_backtrace:
83485305304a60bb87dd43da41540da473636871 0xc383 - /usr/lib64/thunarx-2/thunar-uca.so 234f70d85fc01f20fe266c522b9fd3dc15bedc8a
83485305304a60bb87dd43da41540da473636871 0xdf1f - /usr/lib64/thunarx-2/thunar-uca.so e944b5a6b382d8c2fab1c154abb2e70743a6efb5
76867ac4cb05ad6c74a5cdfc7a77ef0051de8180 0x4906 thunarx_menu_provider_get_file_actions /lib64/libthunarx-2.so.0 7c699c053ce9d6aad70b465c26efa3f4c9fcd8a8
b5c249e84c7ef9d4e1b81a0dabbd358cc295c56e 0x66ea9 - /usr/bin/Thunar eebbdf4878821602c87e53a7f291f42eddd74914
b5c249e84c7ef9d4e1b81a0dabbd358cc295c56e 0x67253 - /usr/bin/Thunar bf8d288a509a3d657ffaef451c1caec5828cc314
23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - /lib64/libgtk-x11-2.0.so.0 59afcd4a91c7f10d983863516113b29332d5b878
41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke /lib64/libgobject-2.0.so.0 18bb14e4f5989b8fb8aac7b42c3d4ba84b0e7873
41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - /lib64/libgobject-2.0.so.0 9b492a2266d9c6e0eaea3876ce28de2322af2fbe
41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist /lib64/libgobject-2.0.so.0 422d331afcc2ab8d621d244e2d7993cbfe0cbb1f
41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit /lib64/libgobject-2.0.so.0 873467898f10716cc58dc3912c428c76ffeb8d49
23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - /lib64/libgtk-x11-2.0.so.0 db1c353e5d5dabdbbfc6b077ff76f472a48a10ab
23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event /lib64/libgtk-x11-2.0.so.0 97311d745d1ed936540148d9803e82b15636d6f0
23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event /lib64/libgtk-x11-2.0.so.0 f10f0398f8478aa8939fe6b472915fe4ec8ebb97
fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - /lib64/libgdk-x11-2.0.so.0 033634eaf34393c2963027a6a4c90ad161ca6d69
8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch /lib64/libglib-2.0.so.0 d2e480ff43d431e8daffe90d76906b5d68a9fc8e
8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - /lib64/libglib-2.0.so.0 310cb9510888d67808dd820c1717e8007aedb29c
8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run /lib64/libglib-2.0.so.0 1c7c97ce3b407c70f7c69245a6a7103d7ed6d83e
23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main /lib64/libgtk-x11-2.0.so.0 8a9563f0d0cff15e154553fa192ff36e5009ba56
b5c249e84c7ef9d4e1b81a0dabbd358cc295c56e 0x1c949 - /usr/bin/Thunar 1de8b41b310413669987d92213c7e65194154249
ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x21735 __libc_start_main /lib64/libc.so.6 075acda5d3230e115cf7c88597eaba416bdaa6bb
b5c249e84c7ef9d4e1b81a0dabbd358cc295c56e 0x1cb29 - /usr/bin/Thunar -

backtrace:
[New LWP 12873]
[New LWP 25083]
[New LWP 14983]
[New LWP 25551]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/Thunar --daemon'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f24a7df9383 in types_from_mime_type (mime_type=0x0) at thunar-uca-model.c:961
961	  if (strcmp (mime_type, "inode/directory") == 0)

Thread 4 (Thread 0x7f24a75eb700 (LWP 25551)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
No locals.
#1  0x0000003eb2e83a75 in g_cond_wait_until (cond=cond@entry=0xda8888, mutex=mutex@entry=0xda8880, end_time=end_time@entry=255811884971) at gthread-posix.c:855
        ts = {tv_sec = 255811, tv_nsec = 884971000}
        status = <optimized out>
#2  0x0000003eb2e1e541 in g_async_queue_pop_intern_unlocked (queue=queue@entry=0xda8880, wait=wait@entry=1, end_time=end_time@entry=255811884971) at gasyncqueue.c:424
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0000003eb2e1eb8a in g_async_queue_timeout_pop (queue=0xda8880, timeout=timeout@entry=15000000) at gasyncqueue.c:545
        end_time = 255811884971
        retval = <optimized out>
#4  0x0000003eb2e6aac2 in g_thread_pool_wait_for_new_pool () at gthreadpool.c:169
        pool = <optimized out>
        local_max_idle_time = 15000
        local_wakeup_thread_serial = <optimized out>
        local_max_unused_threads = 2
        last_wakeup_thread_serial = 0
        have_relayed_thread_marker = 0
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:366
        free_pool = <optimized out>
        task = 0x2
        pool = <optimized out>
#6  0x0000003eb2e6a305 in g_thread_proxy (data=0xe8b280) at gthread.c:801
        thread = 0xe8b280
#7  0x0000003eb0e07d14 in start_thread (arg=0x7f24a75eb700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f24a75eb700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139795403552512, -3004452996106794174, 0, 139795279909792, 139795403552512, 19, 2884352522369256258, -3011949187876238526}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#8  0x0000003eb06f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 3 (Thread 0x7f24ac882700 (LWP 14983)):
#0  0x0000003eb06e8bcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x0000003eb2e47964 in g_main_context_poll (n_fds=1, fds=0x7f24a00010c0, timeout=-1, context=0xbe11f0, priority=<optimized out>) at gmain.c:3440
        poll_func = 0x3eb2e55780 <g_poll>
#2  g_main_context_iterate (context=0xbe11f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x7f24a00010c0
#3  0x0000003eb2e47dc2 in g_main_loop_run (loop=0xe6bf70) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00000033574c9466 in gdbus_shared_thread_func (user_data=0xbe11c0) at gdbusprivate.c:277
        data = 0xbe11c0
#5  0x0000003eb2e6a305 in g_thread_proxy (data=0xe610a0) at gthread.c:801
        thread = 0xe610a0
#6  0x0000003eb0e07d14 in start_thread (arg=0x7f24ac882700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f24ac882700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139795490154240, -3004452996106794174, 0, 13620064, 139795490154240, 19, 2884363126106639170, -3011949187876238526}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x0000003eb06f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 0x7f24addd4700 (LWP 25083)):
#0  0x0000003eb06e8bcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x0000003eb2e47964 in g_main_context_poll (n_fds=1, fds=0x7f24a8011ee0, timeout=-1, context=0xcf3a10, priority=<optimized out>) at gmain.c:3440
        poll_func = 0x3eb2e55780 <g_poll>
#2  g_main_context_iterate (context=context@entry=0xcf3a10, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = <optimized out>
        fds = 0x7f24a8011ee0
#3  0x0000003eb2e47a84 in g_main_context_iteration (context=0xcf3a10, may_block=may_block@entry=1) at gmain.c:3207
        retval = <optimized out>
#4  0x0000003eb2e47ad1 in glib_worker_main (data=<optimized out>) at gmain.c:4879
No locals.
#5  0x0000003eb2e6a305 in g_thread_proxy (data=0xe7c940) at gthread.c:801
        thread = 0xe7c940
#6  0x0000003eb0e07d14 in start_thread (arg=0x7f24addd4700) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7f24addd4700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139795512510208, -3004452996106794174, 0, 14322336, 139795512510208, 18, 2884364596059196226, -3011949187876238526}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x0000003eb06f167d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7f24b9ff89c0 (LWP 12873)):
#0  0x00007f24a7df9383 in types_from_mime_type (mime_type=0x0) at thunar-uca-model.c:961
No locals.
#1  thunar_uca_model_match (uca_model=0xcf3190, file_infos=file_infos@entry=0xf1f920) at thunar-uca-model.c:1058
        item = <optimized out>
        files = 0xe05db0
        info = 0x0
        location = <optimized out>
        mime_type = 0x0
        matches = <optimized out>
        paths = 0x0
        lp = 0xf1f920
        n_files = 1
        i = <optimized out>
        m = <optimized out>
        n = <optimized out>
        __PRETTY_FUNCTION__ = "thunar_uca_model_match"
#2  0x00007f24a7dfaf1f in thunar_uca_provider_get_file_actions (menu_provider=0xbb9680, window=0xbe6060, files=0xf1f920) at thunar-uca-provider.c:205
        row = <optimized out>
        uca_provider = 0xbb9680
        uca_context = 0x0
        iter = {stamp = -1610601824, user_data = 0x3eb2e83ab9, user_data2 = 0xded8d0, user_data3 = 0x3eb2e61651}
        action = <optimized out>
        actions = 0x0
        paths = <optimized out>
        lp = <optimized out>
        icon_name = 0x10 <Address 0x10 out of bounds>
        tooltip = 0xd28290 ""
        label = 0x18 <Address 0x18 out of bounds>
        name = <optimized out>
#3  0x000000335a004906 in thunarx_menu_provider_get_file_actions (provider=0xbb9680, window=window@entry=0xbe6060, files=files@entry=0xf1f920) at thunarx-menu-provider.c:97
        actions = <optimized out>
        __PRETTY_FUNCTION__ = "thunarx_menu_provider_get_file_actions"
#4  0x0000000000466ea9 in thunar_standard_view_merge_custom_actions (selected_items=0x7f249c0c9200, standard_view=0xd28290) at thunar-standard-view.c:1725
        iter = {stamp = 0, user_data = 0xedceb0, user_data2 = 0x0, user_data3 = 0x0}
        file = <optimized out>
        window = 0xbe6060
        actions = <optimized out>
        files = <optimized out>
        tmp = <optimized out>
        lp = <optimized out>
        providers = 0xc22cc0
#5  thunar_standard_view_context_menu (standard_view=standard_view@entry=0xd28290, button=button@entry=0, timestamp=255806244) at thunar-standard-view.c:3501
        menu = <optimized out>
        selected_items = 0x7f249c0c9200
#6  0x0000000000467253 in thunar_standard_view_button_release_event (view=view@entry=0xd32440, event=0xf87330, standard_view=standard_view@entry=0xd28290) at thunar-standard-view.c:2437
No locals.
#7  0x0000003358d4db4c in _gtk_marshal_BOOLEAN__BOXED (closure=0xf5c300, return_value=0x7fffb811a0d0, n_param_values=<optimized out>, param_values=0x7fffb811a180, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gtkmarshalers.c:86
        callback = 0x467220 <thunar_standard_view_button_release_event>
        cc = <optimized out>
        data1 = 0xd32440
        data2 = 0xd28290
        v_return = <optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#8  0x0000003eb3e0f664 in g_closure_invoke (closure=0xf5c300, return_value=return_value@entry=0x7fffb811a0d0, n_param_values=2, param_values=param_values@entry=0x7fffb811a180, invocation_hint=invocation_hint@entry=0x7fffb811a120) at gclosure.c:777
        marshal = 0x3358d4daa0 <_gtk_marshal_BOOLEAN__BOXED>
        marshal_data = 0x0
        in_marshal = <optimized out>
        real_closure = 0xf5c2e0
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#9  0x0000003eb3e206d8 in signal_emit_unlocked_R (node=node@entry=0xbd8990, detail=detail@entry=0, instance=instance@entry=0xd32440, emission_return=emission_return@entry=0x7fffb811a250, instance_and_params=instance_and_params@entry=0x7fffb811a180) at gsignal.c:3551
        tmp = <optimized out>
        handler = 0xf03200
        accumulator = 0xbd8a00
        emission = {next = 0x0, instance = 0xd32440, ihint = {signal_id = 42, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0xbd8940
        hlist = 0xc5dd50
        handler_list = 0xc5dd50
        return_accu = 0x7fffb811a0d0
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 42
        max_sequential_handler_number = 30318
        return_value_altered = 1
#10 0x0000003eb3e282a7 in g_signal_emit_valist (instance=0xd32440, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffb811a3d8) at gsignal.c:3310
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        rtype = 20
        static_scope = 0
        instance_and_params = 0x7fffb811a180
        signal_return_type = 20
        param_values = 0x7fffb811a198
        node = <optimized out>
        i = <optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#11 0x0000003eb3e287c2 in g_signal_emit (instance=instance@entry=0xd32440, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fffb811a4b0, reg_save_area = 0x7fffb811a3f0}}
#12 0x0000003358e815ae in gtk_widget_event_internal (widget=widget@entry=0xd32440, event=event@entry=0xf87330) at gtkwidget.c:4999
        signal_num = <optimized out>
        return_val = 0
#13 0x0000003358e81929 in IA__gtk_widget_event (widget=widget@entry=0xd32440, event=event@entry=0xf87330) at gtkwidget.c:4796
        __PRETTY_FUNCTION__ = "IA__gtk_widget_event"
#14 0x0000003358d4b914 in IA__gtk_propagate_event (widget=0xd32440, event=0xf87330) at gtkmain.c:2490
        tmp = <optimized out>
        handled_event = <optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#15 0x0000003358d4bc7b in IA__gtk_main_do_event (event=0xf87330) at gtkmain.c:1685
        event_widget = <optimized out>
        grab_widget = 0xd32440
        window_group = <optimized out>
        rewritten_event = <optimized out>
        tmp_list = <optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#16 0x0000003359461edc in gdk_event_dispatch (source=source@entry=0xbae450, callback=<optimized out>, user_data=<optimized out>) at gdkevents-x11.c:2404
        display = <optimized out>
        event = 0xf87330
#17 0x0000003eb2e47695 in g_main_dispatch (context=0xbae540) at gmain.c:2539
        dispatch = 0x3359461e90 <gdk_event_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0xbae450, next = 0x0}
        need_destroy = <optimized out>
        source = 0xbae450
        current = 0xbb8940
        i = <optimized out>
#18 g_main_context_dispatch (context=context@entry=0xbae540) at gmain.c:3075
No locals.
#19 0x0000003eb2e479c8 in g_main_context_iterate (context=0xbae540, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
        max_priority = 2147483647
        timeout = 225
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0xdac580
#20 0x0000003eb2e47dc2 in g_main_loop_run (loop=0xbce610) at gmain.c:3340
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#21 0x0000003358d4ac57 in IA__gtk_main () at gtkmain.c:1257
        tmp_list = 0x0
        functions = 0x0
        init = <optimized out>
        loop = 0xbce610
#22 0x000000000041c949 in main (argc=1, argv=0x7fffb811a818) at main.c:294
        session_client = 0xbb7e10
        dbus_service = 0xb77590
        application = 0xbaa300
        error = 0x0
        working_directory = 0xb75f40 "\001"
        filenames = <optimized out>
        startup_id = <optimized out>
From                To                  Syms Read   Shared Object Library
0x000000335a003cb0  0x000000335a007f8c  Yes         /lib64/libthunarx-2.so.0
0x000000335a811560  0x000000335a834384  Yes         /lib64/libexo-1.so.0
0x0000003ec0203830  0x0000003ec020690c  Yes         /lib64/libgudev-1.0.so.0
0x000000335ac02790  0x000000335ac04cbc  Yes         /lib64/libnotify.so.4
0x00000031f6c06bb0  0x00000031f6c0d87c  Yes         /lib64/libxfce4ui-1.so.0
0x0000003358c69a90  0x0000003358f0b4f8  Yes         /lib64/libgtk-x11-2.0.so.0
0x0000003ebfa04480  0x0000003ebfa0aba0  Yes         /lib64/libxfce4util.so.4
0x000000335941e7c0  0x00000033594810b4  Yes         /lib64/libgdk-x11-2.0.so.0
0x0000003ebb609b30  0x0000003ebb615c04  Yes         /lib64/libatk-1.0.so.0
0x0000003357c06750  0x0000003357c19b50  Yes         /lib64/libgdk_pixbuf-2.0.so.0
0x000000335840b2f0  0x000000335848215c  Yes         /lib64/libcairo.so.2
0x0000003ebae0eeb0  0x0000003ebae2d490  Yes         /lib64/libpango-1.0.so.0
0x000000335980a540  0x000000335981c594  Yes         /lib64/libdbus-glib-1.so.2
0x0000003eb9207760  0x0000003eb92302b4  Yes         /lib64/libdbus-1.so.3
0x0000003eb0e05790  0x0000003eb0e10494  Yes         /lib64/libpthread.so.0
0x000000335742eee0  0x00000033574eaa84  Yes         /lib64/libgio-2.0.so.0
0x0000003eb3e0a910  0x0000003eb3e37dbc  Yes         /lib64/libgobject-2.0.so.0
0x0000003eb2e19b70  0x0000003eb2eac74c  Yes         /lib64/libglib-2.0.so.0
0x0000003eb061ef60  0x0000003eb075f780  Yes         /lib64/libc.so.6
0x0000003eba607600  0x0000003eba621bfc  Yes         /lib64/libpangoft2-1.0.so.0
0x0000003358004910  0x0000003358009358  Yes         /lib64/libpangocairo-1.0.so.0
0x0000003eb6e0cbc0  0x0000003eb6e77250  Yes         /lib64/libfreetype.so.6
0x0000003eb8a05ef0  0x0000003eb8a1f6ec  Yes         /lib64/libfontconfig.so.1
0x0000003eb221dea0  0x0000003eb22a4260  Yes         /lib64/libX11.so.6
0x0000003ebf202ef0  0x0000003ebf20a2d6  Yes         /lib64/libudev.so.0
0x0000003eb1602260  0x0000003eb160554c  Yes         /lib64/librt.so.1
0x0000003ad8e01be0  0x0000003ad8e05d18  Yes         /lib64/libSM.so.6
0x0000003eb5604eb0  0x0000003eb5612e1c  Yes         /lib64/libICE.so.6
0x0000003ec22031b0  0x0000003ec220680c  Yes         /lib64/libstartup-notification-1.so.0
0x0000003eb46010f0  0x0000003eb4601fd8  Yes         /lib64/libgmodule-2.0.so.0
0x0000003eb5e014f0  0x0000003eb5e03cf8  Yes         /lib64/libXfixes.so.3
0x0000003eb12055f0  0x0000003eb126ca4c  Yes         /lib64/libm.so.6
0x0000003eb3603700  0x0000003eb360d7d0  Yes         /lib64/libXext.so.6
0x0000003eb6a01a70  0x0000003eb6a079e0  Yes         /lib64/libXrender.so.1
0x0000003eb7a00b00  0x0000003eb7a01438  Yes         /lib64/libXinerama.so.1
0x0000003eb8e02130  0x0000003eb8e0bfb4  Yes         /lib64/libXi.so.6
0x0000003eb7601830  0x0000003eb7605f34  Yes         /lib64/libXrandr.so.2
0x0000003eb9602a80  0x0000003eb96076dc  Yes         /lib64/libXcursor.so.1
0x0000003eba200c30  0x0000003eba201774  Yes         /lib64/libXcomposite.so.1
0x0000003eb6200b90  0x0000003eb620159c  Yes         /lib64/libXdamage.so.1
0x0000003357804fa0  0x0000003357820ae0  Yes         /lib64/libpng15.so.15
0x0000003eb9e08d80  0x0000003eb9e72eec  Yes         /lib64/libpixman-1.so.0
0x0000003357001f50  0x000000335700e718  Yes         /lib64/libz.so.1
0x0000003eb0200b20  0x0000003eb021a319  Yes         /lib64/ld-linux-x86-64.so.2
0x0000003eb4200680  0x0000003eb42007fc  Yes         /lib64/libgthread-2.0.so.0
0x0000003eb3a01950  0x0000003eb3a060ec  Yes         /lib64/libffi.so.5
0x0000003eb0a00ea0  0x0000003eb0a019e0  Yes         /lib64/libdl.so.2
0x0000003eb1e05fc0  0x0000003eb1e16768  Yes         /lib64/libselinux.so.1
0x0000003eb32039b0  0x0000003eb3211e1c  Yes         /lib64/libresolv.so.2
0x0000003eb7203dd0  0x0000003eb721cccc  Yes         /lib64/libexpat.so.1
0x0000003eb26099c0  0x0000003eb2615878  Yes         /lib64/libxcb.so.1
0x0000003ad8a016d0  0x0000003ad8a02d48  Yes         /lib64/libuuid.so.1
0x0000003ec0e025f0  0x0000003ec0e033a4  Yes         /lib64/libxcb-util.so.0
0x0000003ebba005c0  0x0000003ebba006dc  Yes         /lib64/libX11-xcb.so.1
0x0000003eb2a00e80  0x0000003eb2a01bb0  Yes         /lib64/libXau.so.6
0x00007f24b39c01b0  0x00007f24b39c767c  Yes         /lib64/libnss_files.so.2
0x00007f24b379d930  0x00007f24b37b4f98  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f24b3586310  0x00007f24b358fc9c  Yes         /lib64/libgvfscommon.so.0
0x00007f24b3352f20  0x00007f24b33720cc  Yes         /lib64/libbluray.so.1
0x0000003ebe600ee0  0x0000003ebe601814  Yes         /lib64/libutil.so.1
0x000000335882cbc0  0x000000335890da74  Yes         /lib64/libxml2.so.2
0x00007f24b310db10  0x00007f24b312e6d8  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f24b2efcce0  0x00007f24b2f05330  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x0000003eb7e5baf0  0x0000003eb7ec13ab  Yes         /lib64/libstdc++.so.6
0x0000003eb4e029d0  0x0000003eb4e12148  Yes         /lib64/libgcc_s.so.1
0x00007f24ad3557f0  0x00007f24ad3574bc  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
0x0000003ebd203e30  0x0000003ebd236280  Yes         /lib64/libjpeg.so.62
0x00007f24acab8bd0  0x00007f24acab904c  Yes         /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
0x00007f24ac88a950  0x00007f24ac8ae9e8  Yes         /lib64/librsvg-2.so.2
0x0000003359c08ce0  0x0000003359c27428  Yes         /lib64/libcroco-0.6.so.3
0x00007f24a7df33d0  0x00007f24a7dfb6cc  Yes         /usr/lib64/thunarx-2/thunar-uca.so
0x00007f24acf2ac80  0x00007f24acf2cc74  Yes         /usr/lib64/thunarx-2/thunar-archive-plugin.so
0x00007f24ad1303c0  0x00007f24ad130b84  Yes         /usr/lib64/thunarx-2/thunar-wallpaper-plugin.so
$1 = 0x0
$2 = 0x0
rax            0x0	0
rbx            0xf1f920	15857952
rcx            0x10	16
rdx            0x1	1
rsi            0x0	0
rdi            0x7f24a7dfc8d3	139795412011219
rbp            0xe05db0	0xe05db0
rsp            0x7fffb8119d50	0x7fffb8119d50
r8             0x1	1
r9             0x0	0
r10            0x0	0
r11            0x0	0
r12            0x0	0
r13            0x10	16
r14            0x1	1
r15            0x0	0
rip            0x7f24a7df9383	0x7f24a7df9383 <thunar_uca_model_match+339>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function thunar_uca_model_match:
   0x00007f24a7df9230 <+0>:	push   %r15
   0x00007f24a7df9232 <+2>:	push   %r14
   0x00007f24a7df9234 <+4>:	push   %r13
   0x00007f24a7df9236 <+6>:	push   %r12
   0x00007f24a7df9238 <+8>:	push   %rbp
   0x00007f24a7df9239 <+9>:	push   %rbx
   0x00007f24a7df923a <+10>:	mov    %rsi,%rbx
   0x00007f24a7df923d <+13>:	sub    $0x28,%rsp
   0x00007f24a7df9241 <+17>:	mov    %rdi,(%rsp)
   0x00007f24a7df9245 <+21>:	callq  0x7f24a7df86a0 <thunar_uca_model_get_type>
   0x00007f24a7df924a <+26>:	cmpq   $0x0,(%rsp)
   0x00007f24a7df924f <+31>:	je     0x7f24a7df9272 <thunar_uca_model_match+66>
   0x00007f24a7df9251 <+33>:	mov    (%rsp),%rcx
   0x00007f24a7df9255 <+37>:	mov    (%rcx),%rdx
   0x00007f24a7df9258 <+40>:	test   %rdx,%rdx
   0x00007f24a7df925b <+43>:	je     0x7f24a7df9262 <thunar_uca_model_match+50>
   0x00007f24a7df925d <+45>:	cmp    (%rdx),%rax
   0x00007f24a7df9260 <+48>:	je     0x7f24a7df92a9 <thunar_uca_model_match+121>
   0x00007f24a7df9262 <+50>:	mov    (%rsp),%rdi
   0x00007f24a7df9266 <+54>:	mov    %rax,%rsi
   0x00007f24a7df9269 <+57>:	callq  0x7f24a7df2bf0 <g_type_check_instance_is_a@plt>
   0x00007f24a7df926e <+62>:	test   %eax,%eax
   0x00007f24a7df9270 <+64>:	jne    0x7f24a7df92a9 <thunar_uca_model_match+121>
   0x00007f24a7df9272 <+66>:	lea    0x260f(%rip),%rdx        # 0x7f24a7dfb888
   0x00007f24a7df9279 <+73>:	lea    0x3b10(%rip),%rsi        # 0x7f24a7dfcd90 <__PRETTY_FUNCTION__.50655>
   0x00007f24a7df9280 <+80>:	lea    0x2690(%rip),%rdi        # 0x7f24a7dfb917
   0x00007f24a7df9287 <+87>:	callq  0x7f24a7df2a40 <g_return_if_fail_warning@plt>
   0x00007f24a7df928c <+92>:	movq   $0x0,0x18(%rsp)
   0x00007f24a7df9295 <+101>:	mov    0x18(%rsp),%rax
   0x00007f24a7df929a <+106>:	add    $0x28,%rsp
   0x00007f24a7df929e <+110>:	pop    %rbx
   0x00007f24a7df929f <+111>:	pop    %rbp
   0x00007f24a7df92a0 <+112>:	pop    %r12
   0x00007f24a7df92a2 <+114>:	pop    %r13
   0x00007f24a7df92a4 <+116>:	pop    %r14
   0x00007f24a7df92a6 <+118>:	pop    %r15
   0x00007f24a7df92a8 <+120>:	retq   
   0x00007f24a7df92a9 <+121>:	mov    (%rsp),%rcx
   0x00007f24a7df92ad <+125>:	cmpq   $0x0,0x20(%rcx)
   0x00007f24a7df92b2 <+130>:	je     0x7f24a7df928c <thunar_uca_model_match+92>
   0x00007f24a7df92b4 <+132>:	mov    %rbx,%rdi
   0x00007f24a7df92b7 <+135>:	callq  0x7f24a7df2870 <g_list_length@plt>
   0x00007f24a7df92bc <+140>:	mov    $0x10,%esi
   0x00007f24a7df92c1 <+145>:	movslq %eax,%rdi
   0x00007f24a7df92c4 <+148>:	mov    %eax,%r14d
   0x00007f24a7df92c7 <+151>:	callq  0x7f24a7df3170 <g_malloc_n@plt>
   0x00007f24a7df92cc <+156>:	test   %rbx,%rbx
   0x00007f24a7df92cf <+159>:	mov    %rax,0x8(%rsp)
   0x00007f24a7df92d4 <+164>:	je     0x7f24a7df94c0 <thunar_uca_model_match+656>
   0x00007f24a7df92da <+170>:	mov    %rax,%rbp
   0x00007f24a7df92dd <+173>:	mov    $0x10,%r13d
   0x00007f24a7df92e3 <+179>:	jmp    0x7f24a7df932a <thunar_uca_model_match+250>
   0x00007f24a7df92e5 <+181>:	nopl   (%rax)
   0x00007f24a7df92e8 <+184>:	lea    0x35f4(%rip),%rdi        # 0x7f24a7dfc8e3
   0x00007f24a7df92ef <+191>:	mov    $0x6,%ecx
   0x00007f24a7df92f4 <+196>:	mov    %r15,%rsi
   0x00007f24a7df92f7 <+199>:	mov    $0x2,%eax
   0x00007f24a7df92fc <+204>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df92fe <+206>:	seta   %sil
   0x00007f24a7df9302 <+210>:	setb   %cl
   0x00007f24a7df9305 <+213>:	cmp    %cl,%sil
   0x00007f24a7df9308 <+216>:	jne    0x7f24a7df9395 <thunar_uca_model_match+357>
   0x00007f24a7df930e <+222>:	mov    %eax,0x8(%rbp)
   0x00007f24a7df9311 <+225>:	mov    %r12,%rdi
   0x00007f24a7df9314 <+228>:	add    $0x10,%rbp
   0x00007f24a7df9318 <+232>:	callq  0x7f24a7df24f0 <g_object_unref@plt>
   0x00007f24a7df931d <+237>:	mov    0x8(%rbx),%rbx
   0x00007f24a7df9321 <+241>:	test   %rbx,%rbx
   0x00007f24a7df9324 <+244>:	je     0x7f24a7df94c0 <thunar_uca_model_match+656>
   0x00007f24a7df932a <+250>:	mov    (%rbx),%rdi
   0x00007f24a7df932d <+253>:	callq  0x7f24a7df2bc0 <thunarx_file_info_get_location@plt>
   0x00007f24a7df9332 <+258>:	lea    0x3595(%rip),%rsi        # 0x7f24a7dfc8ce
   0x00007f24a7df9339 <+265>:	mov    %rax,%rdi
   0x00007f24a7df933c <+268>:	mov    %rax,%r12
   0x00007f24a7df933f <+271>:	callq  0x7f24a7df31b0 <g_file_has_uri_scheme@plt>
   0x00007f24a7df9344 <+276>:	test   %eax,%eax
   0x00007f24a7df9346 <+278>:	mov    %r12,%rdi
   0x00007f24a7df9349 <+281>:	je     0x7f24a7df95d7 <thunar_uca_model_match+935>
   0x00007f24a7df934f <+287>:	callq  0x7f24a7df24f0 <g_object_unref@plt>
   0x00007f24a7df9354 <+292>:	mov    (%rbx),%rdi
   0x00007f24a7df9357 <+295>:	callq  0x7f24a7df3160 <thunarx_file_info_get_file_info@plt>
   0x00007f24a7df935c <+300>:	mov    %rax,%r12
   0x00007f24a7df935f <+303>:	mov    %rax,%rdi
   0x00007f24a7df9362 <+306>:	callq  0x7f24a7df2fb0 <g_file_info_get_content_type@plt>
   0x00007f24a7df9367 <+311>:	mov    %r12,%rdi
   0x00007f24a7df936a <+314>:	mov    %rax,%r15
   0x00007f24a7df936d <+317>:	callq  0x7f24a7df2dc0 <g_file_info_get_name@plt>
   0x00007f24a7df9372 <+322>:	lea    0x355a(%rip),%rdi        # 0x7f24a7dfc8d3
   0x00007f24a7df9379 <+329>:	mov    %rax,0x0(%rbp)
   0x00007f24a7df937d <+333>:	mov    %r15,%rsi
   0x00007f24a7df9380 <+336>:	mov    %r13,%rcx
=> 0x00007f24a7df9383 <+339>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df9385 <+341>:	jne    0x7f24a7df92e8 <thunar_uca_model_match+184>
   0x00007f24a7df938b <+347>:	mov    $0x1,%eax
   0x00007f24a7df9390 <+352>:	jmpq   0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df9395 <+357>:	lea    0x354e(%rip),%rdi        # 0x7f24a7dfc8ea
   0x00007f24a7df939c <+364>:	mov    $0x6,%ecx
   0x00007f24a7df93a1 <+369>:	mov    %r15,%rsi
   0x00007f24a7df93a4 <+372>:	mov    $0x4,%al
   0x00007f24a7df93a6 <+374>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df93a8 <+376>:	seta   %sil
   0x00007f24a7df93ac <+380>:	setb   %cl
   0x00007f24a7df93af <+383>:	cmp    %cl,%sil
   0x00007f24a7df93b2 <+386>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df93b8 <+392>:	lea    0x3532(%rip),%rdi        # 0x7f24a7dfc8f1
   0x00007f24a7df93bf <+399>:	mov    $0x5,%ecx
   0x00007f24a7df93c4 <+404>:	mov    %r15,%rsi
   0x00007f24a7df93c7 <+407>:	mov    $0x10,%al
   0x00007f24a7df93c9 <+409>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df93cb <+411>:	seta   %sil
   0x00007f24a7df93cf <+415>:	setb   %cl
   0x00007f24a7df93d2 <+418>:	cmp    %cl,%sil
   0x00007f24a7df93d5 <+421>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df93db <+427>:	lea    0x3515(%rip),%rdi        # 0x7f24a7dfc8f7
   0x00007f24a7df93e2 <+434>:	mov    $0x6,%ecx
   0x00007f24a7df93e7 <+439>:	mov    %r15,%rsi
   0x00007f24a7df93ea <+442>:	mov    $0x20,%al
   0x00007f24a7df93ec <+444>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df93ee <+446>:	seta   %sil
   0x00007f24a7df93f2 <+450>:	setb   %cl
   0x00007f24a7df93f5 <+453>:	cmp    %cl,%sil
   0x00007f24a7df93f8 <+456>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df93fe <+462>:	lea    0x34f9(%rip),%rdi        # 0x7f24a7dfc8fe
   0x00007f24a7df9405 <+469>:	mov    $0xc,%ecx
   0x00007f24a7df940a <+474>:	mov    %r15,%rsi
   0x00007f24a7df940d <+477>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df940f <+479>:	jne    0x7f24a7df94ab <thunar_uca_model_match+635>
   0x00007f24a7df9415 <+485>:	lea    0xc(%r15),%r8
   0x00007f24a7df9419 <+489>:	lea    0x34eb(%rip),%rdi        # 0x7f24a7dfc90b
   0x00007f24a7df9420 <+496>:	mov    $0xb,%ecx
   0x00007f24a7df9425 <+501>:	mov    $0x10,%eax
   0x00007f24a7df942a <+506>:	mov    %r8,%rsi
   0x00007f24a7df942d <+509>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df942f <+511>:	seta   %sil
   0x00007f24a7df9433 <+515>:	setb   %cl
   0x00007f24a7df9436 <+518>:	cmp    %cl,%sil
   0x00007f24a7df9439 <+521>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df943f <+527>:	lea    0x34d0(%rip),%rdi        # 0x7f24a7dfc916
   0x00007f24a7df9446 <+534>:	mov    $0x6,%ecx
   0x00007f24a7df944b <+539>:	mov    %r8,%rsi
   0x00007f24a7df944e <+542>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df9450 <+544>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df9456 <+550>:	lea    0x28eb(%rip),%rdi        # 0x7f24a7dfbd48
   0x00007f24a7df945d <+557>:	mov    $0x6,%ecx
   0x00007f24a7df9462 <+562>:	mov    %r8,%rsi
   0x00007f24a7df9465 <+565>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df9467 <+567>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df946d <+573>:	lea    0x34a8(%rip),%rdi        # 0x7f24a7dfc91c
   0x00007f24a7df9474 <+580>:	mov    $0xa,%ecx
   0x00007f24a7df9479 <+585>:	mov    %r8,%rsi
   0x00007f24a7df947c <+588>:	repz cmpsb %es:(%rdi),%ds:(%rsi)
   0x00007f24a7df947e <+590>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df9484 <+596>:	movzbl 0xc(%r15),%ecx
   0x00007f24a7df9489 <+601>:	cmp    $0x78,%ecx
   0x00007f24a7df948c <+604>:	jne    0x7f24a7df95f4 <thunar_uca_model_match+964>
   0x00007f24a7df9492 <+610>:	cmpb   $0x6d,0xd(%r15)
   0x00007f24a7df9497 <+615>:	jne    0x7f24a7df94ab <thunar_uca_model_match+635>
   0x00007f24a7df9499 <+617>:	cmpb   $0x6c,0xe(%r15)
   0x00007f24a7df949e <+622>:	jne    0x7f24a7df94ab <thunar_uca_model_match+635>
   0x00007f24a7df94a0 <+624>:	cmpb   $0x0,0xf(%r15)
   0x00007f24a7df94a5 <+629>:	je     0x7f24a7df930e <thunar_uca_model_match+222>
   0x00007f24a7df94ab <+635>:	movl   $0x8,0x8(%rbp)
   0x00007f24a7df94b2 <+642>:	jmpq   0x7f24a7df9311 <thunar_uca_model_match+225>
   0x00007f24a7df94b7 <+647>:	nopw   0x0(%rax,%rax,1)
   0x00007f24a7df94c0 <+656>:	mov    (%rsp),%rax
   0x00007f24a7df94c4 <+660>:	mov    0x20(%rax),%rax
   0x00007f24a7df94c8 <+664>:	test   %rax,%rax
   0x00007f24a7df94cb <+667>:	mov    %rax,(%rsp)
   0x00007f24a7df94cf <+671>:	je     0x7f24a7df95bf <thunar_uca_model_match+911>
   0x00007f24a7df94d5 <+677>:	movl   $0x0,0x14(%rsp)
   0x00007f24a7df94dd <+685>:	movq   $0x0,0x18(%rsp)
   0x00007f24a7df94e6 <+694>:	jmp    0x7f24a7df9508 <thunar_uca_model_match+728>
   0x00007f24a7df94e8 <+696>:	cmp    $0x1,%r14d
   0x00007f24a7df94ec <+700>:	jle    0x7f24a7df9515 <thunar_uca_model_match+741>
   0x00007f24a7df94ee <+702>:	mov    (%rsp),%rdx
   0x00007f24a7df94f2 <+706>:	addl   $0x1,0x14(%rsp)
   0x00007f24a7df94f7 <+711>:	mov    0x8(%rdx),%rdx
   0x00007f24a7df94fb <+715>:	test   %rdx,%rdx
   0x00007f24a7df94fe <+718>:	mov    %rdx,(%rsp)
   0x00007f24a7df9502 <+722>:	je     0x7f24a7df95c8 <thunar_uca_model_match+920>
   0x00007f24a7df9508 <+728>:	mov    (%rsp),%rdx
   0x00007f24a7df950c <+732>:	mov    (%rdx),%rbp
   0x00007f24a7df950f <+735>:	testb  $0x1,0x34(%rbp)
   0x00007f24a7df9513 <+739>:	je     0x7f24a7df94e8 <thunar_uca_model_match+696>
   0x00007f24a7df9515 <+741>:	cmp    $0x0,%r14d
   0x00007f24a7df9519 <+745>:	jle    0x7f24a7df9592 <thunar_uca_model_match+866>
   0x00007f24a7df951b <+747>:	mov    0x8(%rsp),%rcx
   0x00007f24a7df9520 <+752>:	mov    0x8(%rcx),%eax
   0x00007f24a7df9523 <+755>:	test   %eax,0x30(%rbp)
   0x00007f24a7df9526 <+758>:	je     0x7f24a7df94ee <thunar_uca_model_match+702>
   0x00007f24a7df9528 <+760>:	mov    0x8(%rsp),%r12
   0x00007f24a7df952d <+765>:	mov    0x28(%rbp),%rcx
   0x00007f24a7df9531 <+769>:	xor    %r13d,%r13d
   0x00007f24a7df9534 <+772>:	mov    0x8(%rsp),%rbx
   0x00007f24a7df9539 <+777>:	add    $0x10,%r12
   0x00007f24a7df953d <+781>:	nopl   (%rax)
   0x00007f24a7df9540 <+784>:	mov    (%rcx),%rdi
   0x00007f24a7df9543 <+787>:	test   %rdi,%rdi
   0x00007f24a7df9546 <+790>:	je     0x7f24a7df94ee <thunar_uca_model_match+702>
   0x00007f24a7df9548 <+792>:	mov    $0x8,%r15d
   0x00007f24a7df954e <+798>:	jmp    0x7f24a7df9558 <thunar_uca_model_match+808>
   0x00007f24a7df9550 <+800>:	add    $0x8,%r15
   0x00007f24a7df9554 <+804>:	test   %eax,%eax
   0x00007f24a7df9556 <+806>:	jne    0x7f24a7df9575 <thunar_uca_model_match+837>
   0x00007f24a7df9558 <+808>:	mov    (%rbx),%rsi
   0x00007f24a7df955b <+811>:	callq  0x7f24a7df3340 <g_pattern_match_simple@plt>
   0x00007f24a7df9560 <+816>:	mov    0x28(%rbp),%rcx
   0x00007f24a7df9564 <+820>:	mov    (%rcx,%r15,1),%rdi
   0x00007f24a7df9568 <+824>:	test   %rdi,%rdi
   0x00007f24a7df956b <+827>:	jne    0x7f24a7df9550 <thunar_uca_model_match+800>
   0x00007f24a7df956d <+829>:	test   %eax,%eax
   0x00007f24a7df956f <+831>:	je     0x7f24a7df94ee <thunar_uca_model_match+702>
   0x00007f24a7df9575 <+837>:	add    $0x1,%r13d
   0x00007f24a7df9579 <+841>:	cmp    %r13d,%r14d
   0x00007f24a7df957c <+844>:	je     0x7f24a7df9598 <thunar_uca_model_match+872>
   0x00007f24a7df957e <+846>:	mov    %r12,%rbx
   0x00007f24a7df9581 <+849>:	add    $0x10,%r12
   0x00007f24a7df9585 <+853>:	mov    0x8(%rbx),%eax
   0x00007f24a7df9588 <+856>:	test   %eax,0x30(%rbp)
   0x00007f24a7df958b <+859>:	jne    0x7f24a7df9540 <thunar_uca_model_match+784>
   0x00007f24a7df958d <+861>:	jmpq   0x7f24a7df94ee <thunar_uca_model_match+702>
   0x00007f24a7df9592 <+866>:	jne    0x7f24a7df94ee <thunar_uca_model_match+702>
   0x00007f24a7df9598 <+872>:	mov    0x14(%rsp),%edi
   0x00007f24a7df959c <+876>:	mov    $0xffffffff,%esi
   0x00007f24a7df95a1 <+881>:	xor    %eax,%eax
   0x00007f24a7df95a3 <+883>:	callq  0x7f24a7df2470 <gtk_tree_path_new_from_indices@plt>
   0x00007f24a7df95a8 <+888>:	mov    0x18(%rsp),%rdi
   0x00007f24a7df95ad <+893>:	mov    %rax,%rsi
   0x00007f24a7df95b0 <+896>:	callq  0x7f24a7df2c10 <g_list_append@plt>
   0x00007f24a7df95b5 <+901>:	mov    %rax,0x18(%rsp)
   0x00007f24a7df95ba <+906>:	jmpq   0x7f24a7df94ee <thunar_uca_model_match+702>
   0x00007f24a7df95bf <+911>:	movq   $0x0,0x18(%rsp)
   0x00007f24a7df95c8 <+920>:	mov    0x8(%rsp),%rdi
   0x00007f24a7df95cd <+925>:	callq  0x7f24a7df2350 <g_free@plt>
   0x00007f24a7df95d2 <+930>:	jmpq   0x7f24a7df9295 <thunar_uca_model_match+101>
   0x00007f24a7df95d7 <+935>:	callq  0x7f24a7df24f0 <g_object_unref@plt>
   0x00007f24a7df95dc <+940>:	mov    0x8(%rsp),%rdi
   0x00007f24a7df95e1 <+945>:	callq  0x7f24a7df2350 <g_free@plt>
   0x00007f24a7df95e6 <+950>:	movq   $0x0,0x18(%rsp)
   0x00007f24a7df95ef <+959>:	jmpq   0x7f24a7df9295 <thunar_uca_model_match+101>
   0x00007f24a7df95f4 <+964>:	cmp    $0x6f,%ecx
   0x00007f24a7df95f7 <+967>:	jne    0x7f24a7df94ab <thunar_uca_model_match+635>
   0x00007f24a7df95fd <+973>:	cmpb   $0x67,0xd(%r15)
   0x00007f24a7df9602 <+978>:	jne    0x7f24a7df94ab <thunar_uca_model_match+635>
   0x00007f24a7df9608 <+984>:	cmpb   $0x67,0xe(%r15)
   0x00007f24a7df960d <+989>:	jne    0x7f24a7df94ab <thunar_uca_model_match+635>
   0x00007f24a7df9613 <+995>:	mov    $0x2,%eax
   0x00007f24a7df9618 <+1000>:	jmpq   0x7f24a7df94a0 <thunar_uca_model_match+624>
End of assembler dump.

dso_list:
/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343694782
/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343694782
/usr/lib64/libz.so.1.2.5 zlib-1.2.5-7.fc17.x86_64 (Fedora Project) 1345813344
/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-4.fc17.noarch (Fedora Project) 1337719403
/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.36.1-1.fc17.x86_64 (Fedora Project) 1337719453
/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-3.fc17.x86_64 (Fedora Project) 1337719435
/usr/lib64/libnss_files-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libpangocairo-1.0.so.0.3000.0 pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719436
/usr/lib64/libdl-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libc-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719369
/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.4.0-1.fc17.noarch (Fedora Project) 1337719404
/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.2.1-1.fc17.x86_64 (Fedora Project) 1343694787
/usr/lib/locale/locale-archive glibc-common-2.15-56.fc17.x86_64 (Fedora Project) 1345348259
/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343694782
/usr/lib64/libdbus-glib-1.so.2.2.2 dbus-glib-0.98-2.fc17.x86_64 (Fedora Project) 1343694785
/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719359
/usr/lib64/librt-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.5-1.fc17.x86_64 (Fedora Project) 1337719374
/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1337719370
/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.13-1.fc17.x86_64 (Fedora Project) 1337719435
/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1343694806
/usr/lib64/thunarx-2/thunar-wallpaper-plugin.so Thunar-1.3.0-6.fc17.x86_64 (Fedora Project) 1337719463
/usr/lib64/libgdk-x11-2.0.so.0.2400.11 gtk2-2.24.11-1.fc17.x86_64 (Fedora Project) 1343694915
/usr/lib64/libthunarx-2.so.0.0.0 Thunar-1.3.0-6.fc17.x86_64 (Fedora Project) 1337719463
/usr/lib64/libudev.so.0.13.1 libudev-182-3.fc17.x86_64 (Fedora Project) 1343694824
/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343694782
/usr/lib64/libgudev-1.0.so.0.1.1 libgudev1-182-3.fc17.x86_64 (Fedora Project) 1343694829
/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-7.fc17.x86_64 (Fedora Project) 1343694817
/usr/lib64/libatk-1.0.so.0.20409.1 atk-2.4.0-1.fc17.x86_64 (Fedora Project) 1337719373
/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.5-1.fc17.x86_64 (Fedora Project) 1337719439
/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.x86_64 (Fedora Project) 1343694788
/usr/lib64/libpthread-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jpeg.so gdk-pixbuf2-2.26.1-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343694782
/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1337719370
/usr/lib64/libgtk-x11-2.0.so.0.2400.11 gtk2-2.24.11-1.fc17.x86_64 (Fedora Project) 1343694915
/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1337719369
/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-3.fc17.x86_64 (Fedora Project) 1337719435
/usr/lib64/libXi.so.6.1.0 libXi-1.6.1-1.fc17.x86_64 (Fedora Project) 1337719435
/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.12-3.fc17.x86_64 (Fedora Project) 1337719435
/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1337719554
/usr/lib64/libpangoft2-1.0.so.0.3000.0 pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719436
/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.5.0-2.fc17.x86_64 (Fedora Project) 1343694914
/usr/lib64/libexo-1.so.0.0.0 exo-0.6.2-4.fc17.x86_64 (Fedora Project) 1337719437
/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/gconv/gconv-modules.cache glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.x86_64 (Fedora Project) 1337719369
/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1337719369
/usr/lib64/libxfce4util.so.4.1.1 libxfce4util-4.8.2-2.fc17.x86_64 (Fedora Project) 1337719373
/usr/lib64/libgdk_pixbuf-2.0.so.0.2600.1 gdk-pixbuf2-2.26.1-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719369
/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1337719372
/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-8.fc17.noarch (Fedora Project) 1337719442
/usr/lib64/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.x86_64 (Fedora Project) 1337719370
/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-3.fc17.x86_64 (Fedora Project) 1337719435
/usr/lib64/libxfce4ui-1.so.0.0.0 libxfce4ui-4.8.1-2.fc17.x86_64 (Fedora Project) 1337719437
/usr/lib64/librsvg-2.so.2.36.1 librsvg2-2.36.1-1.fc17.x86_64 (Fedora Project) 1337719453
/usr/lib64/thunarx-2/thunar-archive-plugin.so thunar-archive-plugin-0.3.0-3.fc17.x86_64 (Fedora Project) 1337719479
/usr/lib64/thunarx-2/thunar-uca.so Thunar-1.3.0-6.fc17.x86_64 (Fedora Project) 1337719463
/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719372
/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1337719370
/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.2-1.fc17.x86_64 (Fedora Project) 1337719435
/usr/bin/Thunar Thunar-1.3.0-6.fc17.x86_64 (Fedora Project) 1337719463
/usr/lib64/libm-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libX11.so.6.3.0 libX11-1.5.0-2.fc17.x86_64 (Fedora Project) 1343694914
/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-4.fc17.x86_64 (Fedora Project) 1337719441
/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/share/mime/mime.cache shared-mime-info-1.0-4.fc17.x86_64 (Fedora Project) 1343694783
/usr/lib64/libutil-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719434
/usr/lib64/libpixman-1.so.0.24.4 pixman-0.24.4-2.fc17.x86_64 (Fedora Project) 1337719374
/usr/lib64/libpango-1.0.so.0.3000.0 pango-1.30.0-1.fc17.x86_64 (Fedora Project) 1337719436
/usr/lib64/libresolv-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/ld-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345348252
/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-7.fc17.x86_64 (Fedora Project) 1337719435
/usr/lib64/libxcb-util.so.0.0.0 xcb-util-0.3.8-2.fc17.x86_64 (Fedora Project) 1337719383
Comment 4 Fedora End Of Life 2013-07-04 02:06:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:32:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.